package com.pcloud.book.applet.mapper;

import com.pcloud.book.applet.entity.AppletFootstepRecord;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Mapper
@Component
public interface AppletFootstepRecordMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AppletFootstepRecord record);

    int insertSelective(AppletFootstepRecord record);

    AppletFootstepRecord selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AppletFootstepRecord record);

    int updateByPrimaryKey(AppletFootstepRecord record);
}